package com.ssj.bean.weixin.order.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.math.BigDecimal;
import java.util.Date;



/**
 * 
 * 类名称：OrderDetails<br>
 * 类描述：用户借书订单表<br>
 *
 */
@Entity
@Table(name = "tb_order_details")
public class OrderDetails extends BaseEntity {

    /**
	 * 
	 */
	private static final long serialVersionUID = 2960712658249372647L;


    /**
     * 订单编号
     */
	
    private String orderNo;

    /**
     * 商品id
     */
	
    private String productId;

    /**
     * 商品类型
     */
	
    private int productType;

    /**
     * 数量
     */
    private Long quantity;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;
    
    
    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品金额
     */
    private BigDecimal productPrice;

    
    /**
     * 作者id
     */
    private Long authorId;

    /**
     * 作者名称
     */
    private String authorName;

    private String userId; //借书人userId

    private String author;//书籍作者

    private String title;//书籍作者

    private String bookDetailId;//tb_lib_book_detail 表id

    private  String isClose; //借书状态 1已还书 2借书中

    private  String money; //借书金额

    private  String managerUserid; //代借人userId

    private  String vipId; //会员id

    /**
     * 由于出现换书，在借书记录增加图书馆id
     */
    private String libId;

    /**
     * 书籍主题 ，便于查询统计，如果出现不统一，再由book_info 表更新到此表
     */
    private String bookTheme;

    /**
     * 书籍封面，同上
     */
    private String bookImg;

    /**
     * 简介，同上
     */
    private String summary;


    @Column(name = "order_no") 
    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }
    @Column(name = "product_id") 
    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }
    @Column(name = "product_type") 
    public int getProductType() {
        return productType;
    }

    public void setProductType(int productType) {
        this.productType = productType;
    }

    @Column(name = "quantity") 
    public Long getQuantity() {
        return quantity;
    }

    public void setQuantity(Long quantity) {
        this.quantity = quantity;
    }

    @Column(name = "create_time", updatable = false) 
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "update_time")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    @Transient
    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }
    @Transient
    public BigDecimal getProductPrice() {
        return productPrice;
    }

    public void setProductPrice(BigDecimal productPrice) {
        this.productPrice = productPrice;
    }

    @Transient
    public Long getAuthorId() {
        return authorId;
    }

    public void setAuthorId(Long authorId) {
        this.authorId = authorId;
    }
    @Transient
    public String getAuthorName() {
        return authorName;
    }

    public void setAuthorName(String authorName) {
        this.authorName = authorName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getBookDetailId() {
        return bookDetailId;
    }

    public void setBookDetailId(String bookDetailId) {
        this.bookDetailId = bookDetailId;
    }

    public String getIsClose() {
        return isClose;
    }

    public void setIsClose(String isClose) {
        this.isClose = isClose;
    }

    public String getMoney() {
        return money;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public String getManagerUserid() {
        return managerUserid;
    }

    public void setManagerUserid(String managerUserid) {
        this.managerUserid = managerUserid;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getLibId() {
        return libId;
    }

    public void setLibId(String libId) {
        this.libId = libId;
    }

    public String getBookTheme() {
        return bookTheme;
    }

    public void setBookTheme(String bookTheme) {
        this.bookTheme = bookTheme;
    }

    public String getBookImg() {
        return bookImg;
    }

    public void setBookImg(String bookImg) {
        this.bookImg = bookImg;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }
}
